Debian Bug report logs - #562027
compiz: FTBFS: compiz-window-manager.c:30:32: error: gconf/gconf-client.h: No such file or directory

version graph

Package: compiz; Maintainer for compiz is Debian X Strike Force <debian-x@lists.debian.org>;

Reported by: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>

Date: Tue, 22 Dec 2009 00:36:01 UTC

Severity: serious

Tags: patch

Found in version compiz/0.8.2-6

Fixed in version compiz/0.8.4-2

Done: Sean Finney <seanius@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#562027; Package compiz. (Tue, 22 Dec 2009 00:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 22 Dec 2009 00:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: compiz: FTBFS: compiz-window-manager.c:91: error: expected specifier-qualifier-list before 'GConfClient'
Date: Tue, 22 Dec 2009 09:31:41 +0900
Package: compiz
Version: 0.8.2-6
Justification: ftbfs
Severity: serious

Hi,

compiz FTBFS on unstable.
I confirmed on pbuilder/amd64.

-----
make[4]: Entering directory `/home/iwamatsu/compiz/compiz-0.8.2/gtk/gnome'
/bin/sh ../../libtool --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H
-I. -I../.. -D_REENTRANT -I/usr/include/gnome-window-settings-2.0
-I/usr/include/gtk-2.0 -I/usr/include/gnome-desktop-2.0
-I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo
-I/usr/include/pango-1.0 -I/usr/include/pixman-1
-I/usr/include/freetype2 -I/usr/include/directfb
-I/usr/include/libpng12 -I/usr/include/glib-2.0
-I/usr/lib/glib-2.0/include -I/usr/include/startup-notification-1.0
-DMETACITY_THEME_DIR=\""/usr/share/themes"\"
-DLOCALEDIR="\"/usr/share/locale"\"    -Wall -g -O2 -Wpointer-arith
-Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations
-Wnested-externs -D_FORTIFY_SOURCE=2 -MT compiz-window-manager.lo -MD
-MP -MF .deps/compiz-window-manager.Tpo -c -o compiz-window-manager.lo
compiz-window-manager.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I../.. -D_REENTRANT
-I/usr/include/gnome-window-settings-2.0 -I/usr/include/gtk-2.0
-I/usr/include/gnome-desktop-2.0 -I/usr/lib/gtk-2.0/include
-I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0
-I/usr/include/pixman-1 -I/usr/include/freetype2
-I/usr/include/directfb -I/usr/include/libpng12
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
-I/usr/include/startup-notification-1.0
-DMETACITY_THEME_DIR=\"/usr/share/themes\"
-DLOCALEDIR=\"/usr/share/locale\" -Wall -g -O2 -Wpointer-arith
-Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations
-Wnested-externs -D_FORTIFY_SOURCE=2 -MT compiz-window-manager.lo -MD
-MP -MF .deps/compiz-window-manager.Tpo -c compiz-window-manager.c
-fPIC -DPIC -o .libs/compiz-window-manager.o
compiz-window-manager.c:30:32: error: gconf/gconf-client.h: No such
file or directory
In file included from /usr/include/gtk-2.0/gtk/gtk.h:228,
                 from
/usr/include/gnome-desktop-2.0/libgnome/gnome-desktop-item.h:35,
                 from
/usr/include/gnome-window-settings-2.0/gnome-window-manager.h:31,
                 from compiz-window-manager.h:6,
                 from compiz-window-manager.c:33:
/usr/include/gtk-2.0/gtk/gtkitemfactory.h:47: warning: function
declaration isn't a prototype
compiz-window-manager.c:91: error: expected specifier-qualifier-list
before 'GConfClient'
compiz-window-manager.c:98: error: expected ')' before '*' token
compiz-window-manager.c: In function 'compiz_change_settings':
compiz-window-manager.c:137: warning: implicit declaration of function
'gconf_client_set_string'
compiz-window-manager.c:137: warning: nested extern declaration of
'gconf_client_set_string'
compiz-window-manager.c:137: error: 'CompizWindowManagerPrivate' has
no member named 'gconf'
compiz-window-manager.c:142: warning: implicit declaration of function
'gconf_client_set_bool'
compiz-window-manager.c:142: warning: nested extern declaration of
'gconf_client_set_bool'
compiz-window-manager.c:142: error: 'CompizWindowManagerPrivate' has
no member named 'gconf'
compiz-window-manager.c:148: error: 'CompizWindowManagerPrivate' has
no member named 'gconf'
compiz-window-manager.c:153: warning: implicit declaration of function
'gconf_client_set_int'
compiz-window-manager.c:153: warning: nested extern declaration of
'gconf_client_set_int'
compiz-window-manager.c:153: error: 'CompizWindowManagerPrivate' has
no member named 'gconf'
compiz-window-manager.c:162: error: 'CompizWindowManagerPrivate' has
no member named 'gconf'
compiz-window-manager.c:169: error: 'CompizWindowManagerPrivate' has
no member named 'gconf'
compiz-window-manager.c:189: error: 'CompizWindowManagerPrivate' has
no member named 'gconf'
compiz-window-manager.c: In function 'compiz_get_settings':
compiz-window-manager.c:211: warning: implicit declaration of function
'gconf_client_get_string'
compiz-window-manager.c:211: warning: nested extern declaration of
'gconf_client_get_string'
compiz-window-manager.c:211: error: 'CompizWindowManagerPrivate' has
no member named 'gconf'
compiz-window-manager.c:218: error: 'CompizWindowManagerPrivate' has
no member named 'font'
compiz-window-manager.c:219: error: 'CompizWindowManagerPrivate' has
no member named 'font'
compiz-window-manager.c:221: error: 'CompizWindowManagerPrivate' has
no member named 'font'
compiz-window-manager.c:223: error: 'CompizWindowManagerPrivate' has
no member named 'font'
compiz-window-manager.c:231: warning: implicit declaration of function
'gconf_client_get_bool'
compiz-window-manager.c:231: warning: nested extern declaration of
'gconf_client_get_bool'
compiz-window-manager.c:231: error: 'CompizWindowManagerPrivate' has
no member named 'gconf'
compiz-window-manager.c:239: error: 'CompizWindowManagerPrivate' has
no member named 'gconf'
compiz-window-manager.c:249: warning: implicit declaration of function
'gconf_client_get_int'
compiz-window-manager.c:249: warning: nested extern declaration of
'gconf_client_get_int'
compiz-window-manager.c:249: error: 'CompizWindowManagerPrivate' has
no member named 'gconf'
compiz-window-manager.c:261: error: 'CompizWindowManagerPrivate' has
no member named 'gconf'
compiz-window-manager.c:281: error: 'CompizWindowManagerPrivate' has
no member named 'mouse_modifier'
compiz-window-manager.c:282: error: 'CompizWindowManagerPrivate' has
no member named 'mouse_modifier'
compiz-window-manager.c:284: error: 'CompizWindowManagerPrivate' has
no member named 'mouse_modifier'
compiz-window-manager.c:288: error: 'CompizWindowManagerPrivate' has
no member named 'mouse_modifier'
compiz-window-manager.c:297: error: 'CompizWindowManagerPrivate' has
no member named 'gconf'
compiz-window-manager.c:304: error: 'CompizWindowManagerPrivate' has
no member named 'theme'
compiz-window-manager.c:305: error: 'CompizWindowManagerPrivate' has
no member named 'theme'
compiz-window-manager.c:306: error: 'CompizWindowManagerPrivate' has
no member named 'theme'
compiz-window-manager.c:317: error: 'CompizWindowManagerPrivate' has
no member named 'gconf'
compiz-window-manager.c: In function 'compiz_window_manager_init':
compiz-window-manager.c:456: error: 'CompizWindowManagerPrivate' has
no member named 'gconf'
compiz-window-manager.c:456: warning: implicit declaration of function
'gconf_client_get_default'
compiz-window-manager.c:456: warning: nested extern declaration of
'gconf_client_get_default'
compiz-window-manager.c:457: error: 'CompizWindowManagerPrivate' has
no member named 'mouse_modifier'
compiz-window-manager.c:458: error: 'CompizWindowManagerPrivate' has
no member named 'font'
compiz-window-manager.c:459: error: 'CompizWindowManagerPrivate' has
no member named 'theme'
compiz-window-manager.c:461: warning: implicit declaration of function
'gconf_client_add_dir'
compiz-window-manager.c:461: warning: nested extern declaration of
'gconf_client_add_dir'
compiz-window-manager.c:461: error: 'CompizWindowManagerPrivate' has
no member named 'gconf'
compiz-window-manager.c:463: error: 'GCONF_CLIENT_PRELOAD_ONELEVEL'
undeclared (first use in this function)
compiz-window-manager.c:463: error: (Each undeclared identifier is
reported only once
compiz-window-manager.c:463: error: for each function it appears in.)
compiz-window-manager.c:466: error: 'CompizWindowManagerPrivate' has
no member named 'gconf'
compiz-window-manager.c:472: error: 'CompizWindowManagerPrivate' has
no member named 'gconf'
compiz-window-manager.c:472: error: 'value_changed' undeclared (first
use in this function)
compiz-window-manager.c: In function 'compiz_window_manager_finalize':
compiz-window-manager.c:488: error: 'CompizWindowManagerPrivate' has
no member named 'gconf'
compiz-window-manager.c:488: error: 'value_changed' undeclared (first
use in this function)
compiz-window-manager.c:492: error: 'CompizWindowManagerPrivate' has
no member named 'mouse_modifier'
compiz-window-manager.c:493: error: 'CompizWindowManagerPrivate' has
no member named 'mouse_modifier'
compiz-window-manager.c:495: error: 'CompizWindowManagerPrivate' has
no member named 'font'
compiz-window-manager.c:496: error: 'CompizWindowManagerPrivate' has
no member named 'font'
compiz-window-manager.c:498: error: 'CompizWindowManagerPrivate' has
no member named 'theme'
compiz-window-manager.c:499: error: 'CompizWindowManagerPrivate' has
no member named 'theme'
compiz-window-manager.c:501: error: 'CompizWindowManagerPrivate' has
no member named 'gconf'
make[4]: *** [compiz-window-manager.lo] Error 1
make[4]: Leaving directory `/home/iwamatsu/compiz/compiz-0.8.2/gtk/gnome'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/home/iwamatsu/compiz/compiz-0.8.2/gtk'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/iwamatsu/compiz/compiz-0.8.2'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/home/iwamatsu/compiz/compiz-0.8.2'
make: *** [build-stamp] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
debuild: fatal error at line 1330:
dpkg-buildpackage -rfakeroot -D -us -uc failed
-----

Could you check this BTS?

Best regards,
  Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#562027; Package compiz. (Fri, 22 Jan 2010 21:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Harl <tokkee@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 22 Jan 2010 21:24:03 GMT) Full text and rfc822 format available.

Message #10 received at 562027@bugs.debian.org (full text, mbox):

From: Sebastian Harl <tokkee@debian.org>
To: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>, 562027@bugs.debian.org
Subject: Re: compiz: FTBFS: compiz-window-manager.c:91: error: expected specifier-qualifier-list before 'GConfClient'
Date: Fri, 22 Jan 2010 22:22:20 +0100
[Message part 1 (text/plain, inline)]
tags 562027 + patch
retitle 562027 compiz: FTBFS: compiz-window-manager.c:30:32: error: gconf/gconf-client.h: No such file or directory
thanks

Hi,

On Tue, Dec 22, 2009 at 09:31:41AM +0900, Nobuhiro Iwamatsu wrote:
> make[4]: Entering directory `/home/iwamatsu/compiz/compiz-0.8.2/gtk/gnome'
> /bin/sh ../../libtool --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H
> -I. -I../.. -D_REENTRANT -I/usr/include/gnome-window-settings-2.0
> -I/usr/include/gtk-2.0 -I/usr/include/gnome-desktop-2.0
> -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo
> -I/usr/include/pango-1.0 -I/usr/include/pixman-1
> -I/usr/include/freetype2 -I/usr/include/directfb
> -I/usr/include/libpng12 -I/usr/include/glib-2.0
> -I/usr/lib/glib-2.0/include -I/usr/include/startup-notification-1.0
> -DMETACITY_THEME_DIR=\""/usr/share/themes"\"
> -DLOCALEDIR="\"/usr/share/locale"\"    -Wall -g -O2 -Wpointer-arith
> -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations
> -Wnested-externs -D_FORTIFY_SOURCE=2 -MT compiz-window-manager.lo -MD
> -MP -MF .deps/compiz-window-manager.Tpo -c -o compiz-window-manager.lo
> compiz-window-manager.c
> libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I../.. -D_REENTRANT
> -I/usr/include/gnome-window-settings-2.0 -I/usr/include/gtk-2.0
> -I/usr/include/gnome-desktop-2.0 -I/usr/lib/gtk-2.0/include
> -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0
> -I/usr/include/pixman-1 -I/usr/include/freetype2
> -I/usr/include/directfb -I/usr/include/libpng12
> -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
> -I/usr/include/startup-notification-1.0
> -DMETACITY_THEME_DIR=\"/usr/share/themes\"
> -DLOCALEDIR=\"/usr/share/locale\" -Wall -g -O2 -Wpointer-arith
> -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations
> -Wnested-externs -D_FORTIFY_SOURCE=2 -MT compiz-window-manager.lo -MD
> -MP -MF .deps/compiz-window-manager.Tpo -c compiz-window-manager.c
> -fPIC -DPIC -o .libs/compiz-window-manager.o
> compiz-window-manager.c:30:32: error: gconf/gconf-client.h: No such
> file or directory

The patch attached to this E-mail fixes this build issue but using
GCONF_CFLAGS and GCONF_LIBS when building this module. In the past, the
necessary build options were included, I suppose, by gtk or similar.
Please note that the patch modifies some Makefile.am, i.e., it requires
a rebuild of the appropriate Makefile.in (using automake; which is done
automatically by the build system). Please also note that I did not test
the resulting binary, since I do not use compiz myself.

HTH,
Sebastian

-- 
Sebastian "tokkee" Harl +++ GnuPG-ID: 0x8501C7FC +++ http://tokkee.org/

Those who would give up Essential Liberty to purchase a little Temporary
Safety, deserve neither Liberty nor Safety.         -- Benjamin Franklin

[bts-562027.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Sebastian Harl <tokkee@debian.org> to control@bugs.debian.org. (Fri, 22 Jan 2010 21:24:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'compiz: FTBFS: compiz-window-manager.c:30:32: error: gconf/gconf-client.h: No such file or directory' from 'compiz: FTBFS: compiz-window-manager.c:91: error: expected specifier-qualifier-list before 'GConfClient'' Request was from Sebastian Harl <tokkee@debian.org> to control@bugs.debian.org. (Fri, 22 Jan 2010 21:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#562027; Package compiz. (Tue, 26 Jan 2010 20:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sean Finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 26 Jan 2010 20:12:02 GMT) Full text and rfc822 format available.

Message #19 received at 562027@bugs.debian.org (full text, mbox):

From: Sean Finney <seanius@debian.org>
To: 562027@bugs.debian.org,562438@bugs.debian.org
Cc: ,control@bugs.debian.org
Subject: [/debian-unstable] Fix FTBFS: "gconf/gconf-client.h: No such file or directory"
Date: Tue, 26 Jan 2010 20:09:14 +0000
tag 562027 pending
tag 562438 pending
thanks

Date: Tue Jan 26 21:07:39 2010 +0100
Author: Sean Finney <seanius@debian.org>
Commit ID: 08d424189b18a156f8a353ecca22646c5f3af922
Commit URL: http://git.debian.org/?p=pkg-xorg/app/compiz.git;a=commitdiff;h=08d424189b18a156f8a353ecca22646c5f3af922
Patch URL: http://git.debian.org/?p=pkg-xorg/app/compiz.git;a=commitdiff_plain;h=08d424189b18a156f8a353ecca22646c5f3af922

    Fix FTBFS: "gconf/gconf-client.h: No such file or directory"

    Thanks: Sebastian Harl <tokkee@debian.org>
    Closes: #562027, #562438
      




Added tag(s) pending. Request was from Sean Finney <seanius@debian.org> to control@bugs.debian.org. (Tue, 26 Jan 2010 20:12:06 GMT) Full text and rfc822 format available.

Reply sent to Sean Finney <seanius@debian.org>:
You have taken responsibility. (Thu, 11 Feb 2010 22:51:10 GMT) Full text and rfc822 format available.

Notification sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Bug acknowledged by developer. (Thu, 11 Feb 2010 22:51:10 GMT) Full text and rfc822 format available.

Message #26 received at 562027-close@bugs.debian.org (full text, mbox):

From: Sean Finney <seanius@debian.org>
To: 562027-close@bugs.debian.org
Subject: Bug#562027: fixed in compiz 0.8.4-2
Date: Thu, 11 Feb 2010 22:47:28 +0000
Source: compiz
Source-Version: 0.8.4-2

We believe that the bug you reported is fixed in the latest version of
compiz, which is due to be installed in the Debian FTP archive:

compiz-core_0.8.4-2_amd64.deb
  to main/c/compiz/compiz-core_0.8.4-2_amd64.deb
compiz-dev_0.8.4-2_amd64.deb
  to main/c/compiz/compiz-dev_0.8.4-2_amd64.deb
compiz-gnome_0.8.4-2_amd64.deb
  to main/c/compiz/compiz-gnome_0.8.4-2_amd64.deb
compiz-gtk_0.8.4-2_amd64.deb
  to main/c/compiz/compiz-gtk_0.8.4-2_amd64.deb
compiz-kde_0.8.4-2_amd64.deb
  to main/c/compiz/compiz-kde_0.8.4-2_amd64.deb
compiz-plugins_0.8.4-2_amd64.deb
  to main/c/compiz/compiz-plugins_0.8.4-2_amd64.deb
compiz_0.8.4-2.diff.gz
  to main/c/compiz/compiz_0.8.4-2.diff.gz
compiz_0.8.4-2.dsc
  to main/c/compiz/compiz_0.8.4-2.dsc
compiz_0.8.4-2_all.deb
  to main/c/compiz/compiz_0.8.4-2_all.deb
compiz_0.8.4.orig.tar.gz
  to main/c/compiz/compiz_0.8.4.orig.tar.gz
libdecoration0-dev_0.8.4-2_amd64.deb
  to main/c/compiz/libdecoration0-dev_0.8.4-2_amd64.deb
libdecoration0_0.8.4-2_amd64.deb
  to main/c/compiz/libdecoration0_0.8.4-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 562027@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sean Finney <seanius@debian.org> (supplier of updated compiz package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 11 Feb 2010 23:08:16 +0100
Source: compiz
Binary: compiz compiz-core compiz-dev compiz-gtk compiz-kde compiz-gnome compiz-plugins libdecoration0 libdecoration0-dev
Architecture: source all amd64
Version: 0.8.4-2
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Sean Finney <seanius@debian.org>
Description: 
 compiz     - OpenGL window and compositing manager
 compiz-core - OpenGL window and compositing manager
 compiz-dev - OpenGL window and compositing manager - development files
 compiz-gnome - OpenGL window and compositing manager - GNOME window decorator
 compiz-gtk - OpenGL window and compositing manager - Gtk window decorator
 compiz-kde - OpenGL window and compositing manager - KDE window decorator
 compiz-plugins - OpenGL window and compositing manager - plugins
 libdecoration0 - Compiz window decoration library
 libdecoration0-dev - Compiz window decoration library - development files
Closes: 562027 562438
Changes: 
 compiz (0.8.4-2) unstable; urgency=low
 .
   * Bump the dh_makeshlibs call to (>= 0.8.4)
 .
 compiz (0.8.4-1) unstable; urgency=low
 .
   * New upstream release.
 .
   [ Sean Finney ]
   * Fix FTBFS: "gconf/gconf-client.h: No such file or directory"
     - thanks to Sebastian Harl <tokkee@debian.org> (Closes: #562027, #562438)
   * Add compiz-decorator symlink for compatibility with ubuntu systems.
   * Make all patches DEP-3 formatted.
   * No longer keep the ubuntu patches logically separated from ours
   * Enable 010-disable-child-window-clipping.patch, as there's an ABI bump.
     Also, massage the patch a little so that it applies cleanly.
   * Synchronize ubuntu patches from 0.8.4-0ubuntu10
     * 015_draw_dock_shadows_on_desktop.patch:
       - change decoration plugin to draw dock shadows only on the
         desktop window instead of on top of all other windows
     * 016_call_glxwaitx_before_drawing.patch:
       - Call glXWaitX before we start drawing to make sure X is done
         handling rendering calls. Suggested by Michel Dänzer to ensure
         we don't have any rendering glitches.
     * 017_always_unredirect_screensaver_on_nvidia.patch:
       - always unredirect gnome-screensaver when using nvidia, workaround
         for LP #160264 while still disabling unredirect fullscreen
         windows for nvidia users
     * 020_fix_focus.patch:
       - give back the focus to the previous focused window (LP: #455900)
     * 030_from_git_crash_fix_multiscreen.patch:
       - merge commit 24dea72a395071b533dcf66b2eef37b20522cbba to fix
         crash with wobbly windows in a multi screen setup
     * 031_from_git_fix_gnome_keybindings.patch:
       - fix gnome keybindings (terminal key)
     * 060_move_checks_to_compiz.patch:
       - add all relevant checks from compiz-manager to compiz itself
         Compiz already checks for almost everything it needs so there is no
         need to check twice.
     * 061_KWD_stubs.patch (updated locally to remove fuzz):
       - Horrible hack to define empty stubs for some new pure virtual
         functions in KWD::Window, to fix FTBFS.
   * The following patches have been updated to cleanly apply:
     * 014-fix-gtk-window-decorator-no-argb-crash.patch
     * 015_optional-fbo.patch
     * ubuntu/010-disable-child-window-clipping.patch
     * ubuntu/013-add-cursor-theme-support.patch
     * ubuntu/018_use_metacity_settings.patch
     * ubuntu/029_default_options
     * ubuntu/035_ignore_workspaces
     * ubuntu/037_fullscreen_stacking_fixes.patch
     * ubuntu/049-damage-report-non-empty.patch
     * ubuntu/050_stacking.patch
   * Transition from compiz-manager to compiz binary for /usr/bin/compiz
   * Remove all patches to the embedded compiz-manager script
     * 028_compiz_manager_blacklist
     * 029_compiz_manager_decoration.patch
     * 029_compiz_manager_nvidia_settings.patch
     * 030_compiz_manager_multi_display
     * 031_compiz_manager_extra_blacklist_support
     * 032_compiz_manager_add_gnomecompat
     * 033_compiz_manager_xdg_dirs
     * 042-compiz-manager-default-plugin
     * 046_compiz_manager_second_screen.patch
Checksums-Sha1: 
 8a2088b92e9a9c88fffedef25f8131e9bb9d797c 2045 compiz_0.8.4-2.dsc
 9da2fa118a6c7b832755e16a7aa49ef1afa58c6a 1383316 compiz_0.8.4.orig.tar.gz
 8f871c90cd9edaf31fc5c78ca9c6cdddc20f5611 29003 compiz_0.8.4-2.diff.gz
 ab7f078985eb634a2ff1661cee1279ee582ef363 29326 compiz_0.8.4-2_all.deb
 d790c9e59198678384cd748e21c3e3e49ba0c9ec 1101144 compiz-core_0.8.4-2_amd64.deb
 678da4f8863daf2f6b8b2fb6ef29c27460882b7b 57176 compiz-dev_0.8.4-2_amd64.deb
 9e87cb0ca1566b6f81716cf397ccdccf98dbc011 91248 compiz-gtk_0.8.4-2_amd64.deb
 84b4c8008fc269afb00af43f8e4e49378cf7ad89 101962 compiz-kde_0.8.4-2_amd64.deb
 b00be8fdd1a80fd12e93704f9c91ef8a3b1b878b 41140 compiz-gnome_0.8.4-2_amd64.deb
 bf8024a4ab78f0b9752f5abbb90977a235effca2 533184 compiz-plugins_0.8.4-2_amd64.deb
 351f9426cb90b78a209e6da9b8f5101a7dc54472 49976 libdecoration0_0.8.4-2_amd64.deb
 482db1540034cde345a764f5715c656ada31128a 37350 libdecoration0-dev_0.8.4-2_amd64.deb
Checksums-Sha256: 
 a87bbf1883ab969da266b0f6764278c9255c9534ea01386f5566fb5e18f2042c 2045 compiz_0.8.4-2.dsc
 ef02851767a6d1d1cc4ddf2a99370fea6bd96dd408de292360b78d1f1f94173b 1383316 compiz_0.8.4.orig.tar.gz
 9aaf70b06fde8e43c6e6fd673e62201ccba829356463a1e2263dc9e7309f8e8d 29003 compiz_0.8.4-2.diff.gz
 ffb125e9ddcfbf0e8080827f6bdc3f2558094b19e80db04df7b6a7679956428c 29326 compiz_0.8.4-2_all.deb
 4dd9b414c9564546d40780227985d54a25cfb8a50869194d541a907af43bef74 1101144 compiz-core_0.8.4-2_amd64.deb
 5236c7cb82adb22442ea63336456e9397a87540e236487114a9dd1a12ecb41bf 57176 compiz-dev_0.8.4-2_amd64.deb
 1a2ba07b33fa893029900bcccf267420857d59db0c64991f1131ce5e5637d7ed 91248 compiz-gtk_0.8.4-2_amd64.deb
 5ba1c46c83d83125615ba31ede7bf0e9ddf235efa8e470b0f3ee7c4da500c1b8 101962 compiz-kde_0.8.4-2_amd64.deb
 52f79ed910fe3963bfe7d2992b85eec7ccb86fb7672c8d603041c22f2e94081e 41140 compiz-gnome_0.8.4-2_amd64.deb
 3d18e9e85637ea3325d4c1eb1dc8b0da7b7724cfe4fcf7853acdc69db566789e 533184 compiz-plugins_0.8.4-2_amd64.deb
 c45fe1c22925b1a46ed55aaaca28433d7cefa4fb4da14399d019f7bf7fe20ac7 49976 libdecoration0_0.8.4-2_amd64.deb
 404b04ea507fa1b39ee0b25330807e73e2d908a28f37aa1c71f56d039b4cbce6 37350 libdecoration0-dev_0.8.4-2_amd64.deb
Files: 
 da54976c6829c1fb12bc2923aecdf9b3 2045 x11 optional compiz_0.8.4-2.dsc
 43b9d6aaa50557e5bec8910ae239c649 1383316 x11 optional compiz_0.8.4.orig.tar.gz
 fea3bcbb7136ea881966e89e75a99070 29003 x11 optional compiz_0.8.4-2.diff.gz
 c0e0dacb6f7d0ea4df2566386bc28b3b 29326 x11 optional compiz_0.8.4-2_all.deb
 801381cd14fdffbec9fa6d9ee1b2e702 1101144 x11 optional compiz-core_0.8.4-2_amd64.deb
 f4517954c3cae08016548cc83595e29e 57176 x11 optional compiz-dev_0.8.4-2_amd64.deb
 82a3bc831ebb220e7f395d1cade7008e 91248 x11 optional compiz-gtk_0.8.4-2_amd64.deb
 7af4afbcc52361293aab90a7ff0c3046 101962 x11 optional compiz-kde_0.8.4-2_amd64.deb
 6b5b78997bca5684136d045680f88634 41140 x11 optional compiz-gnome_0.8.4-2_amd64.deb
 6e9606baddf71b43e39ce9f95c4871f4 533184 x11 optional compiz-plugins_0.8.4-2_amd64.deb
 8db5a498f205e2ccf2e1387ed6490bc5 49976 x11 optional libdecoration0_0.8.4-2_amd64.deb
 c9633054508ca05b430eb3c368f36315 37350 libdevel optional libdecoration0-dev_0.8.4-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLdIdOynjLPm522B0RAk6fAJ9t0ImejM12dWVQ+a20lffYDsUrwwCgga/4
mp+Agh26RBpcb1GHn2hjZEo=
=K5KH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 11 Apr 2010 07:32:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:32:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.